PLplot: PSDev Struct Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Public Attributes | List of all members
PSDev Struct Reference

`#include "ps.h"`

## Public Attributes
PLFLT | pxlx
PLFLT | pxly
PLINT | xold
PLINT | yold
PLINT | xmin
PLINT | xmax
PLINT | xlen
PLINT | ymin
PLINT | ymax
PLINT | ylen
PLINT | xmin_dev
PLINT | xmax_dev
PLINT | xlen_dev
PLINT | ymin_dev
PLINT | ymax_dev
PLINT | ylen_dev
PLFLT | xscale_dev
PLFLT | yscale_dev
int | llx
int | lly
int | urx
int | ury
int | ptcnt
int | nlookup
int | if_symbol_font
const Unicode_to_Type1_table * | lookup
long | cur_pos
FILE * | fp

## Detailed Description

Definition at line 38 of file ps.h.

## Member Data Documentation

long PSDev::cur_pos

Definition at line 58 of file ps.h.

FILE* PSDev::fp

Definition at line 59 of file ps.h.

int PSDev::if_symbol_font

Definition at line 53 of file ps.h.

int PSDev::llx

Definition at line 51 of file ps.h.

int PSDev::lly

Definition at line 51 of file ps.h.

const Unicode_to_Type1_table* PSDev::lookup

Definition at line 54 of file ps.h.

int PSDev::nlookup

Definition at line 53 of file ps.h.

int PSDev::ptcnt

Definition at line 51 of file ps.h.

PLFLT PSDev::pxlx

Definition at line 40 of file ps.h.

PLFLT PSDev::pxly

Definition at line 40 of file ps.h.

int PSDev::urx

Definition at line 51 of file ps.h.

int PSDev::ury

Definition at line 51 of file ps.h.

PLINT PSDev::xlen

Definition at line 43 of file ps.h.

PLINT PSDev::xlen_dev

Definition at line 46 of file ps.h.

PLINT PSDev::xmax

Definition at line 43 of file ps.h.

PLINT PSDev::xmax_dev

Definition at line 46 of file ps.h.

PLINT PSDev::xmin

Definition at line 43 of file ps.h.

PLINT PSDev::xmin_dev

Definition at line 46 of file ps.h.

PLINT PSDev::xold

Definition at line 41 of file ps.h.

PLFLT PSDev::xscale_dev

Definition at line 49 of file ps.h.

PLINT PSDev::ylen

Definition at line 44 of file ps.h.

PLINT PSDev::ylen_dev

Definition at line 47 of file ps.h.

PLINT PSDev::ymax

Definition at line 44 of file ps.h.

PLINT PSDev::ymax_dev

Definition at line 47 of file ps.h.

PLINT PSDev::ymin

Definition at line 44 of file ps.h.

PLINT PSDev::ymin_dev

Definition at line 47 of file ps.h.

PLINT PSDev::yold

Definition at line 41 of file ps.h.

PLFLT PSDev::yscale_dev

Definition at line 49 of file ps.h.

The documentation for this struct was generated from the following file:

- ps.h